var search_data = {"index":{"searchIndex":["geomodel","geocell","math","types","box","point","util","==()","==()","adjacent()","all_adjacents()","best_bbox_search_cells()","children()","collinear()","common_prefix()","compute()","compute_box()","contains_point()","distance()","distance_sorted_edges()","east()","east=()","filter_result_set_by_bounding_box()","generate_geocells()","geocells_for_bounding_box()","interpolate()","interpolation_count()","is_valid()","merge_in_place()","new()","new()","north()","north=()","point_distance()","proximity_fetch()","south()","south=()","subdiv_char()","subdiv_xy()","to_s()","to_s()","west()","west=()"],"longSearchIndex":["geomodel","geomodel::geocell","geomodel::math","geomodel::types","geomodel::types::box","geomodel::types::point","geomodel::util","geomodel::types::box#==()","geomodel::types::point#==()","geomodel::geocell::adjacent()","geomodel::geocell::all_adjacents()","geomodel::geocell::best_bbox_search_cells()","geomodel::geocell::children()","geomodel::geocell::collinear()","geomodel::geocell::common_prefix()","geomodel::geocell::compute()","geomodel::geocell::compute_box()","geomodel::geocell::contains_point()","geomodel::math::distance()","geomodel::util::distance_sorted_edges()","geomodel::types::box#east()","geomodel::types::box#east=()","geomodel::filter_result_set_by_bounding_box()","geomodel::geocell::generate_geocells()","geomodel::geocells_for_bounding_box()","geomodel::geocell::interpolate()","geomodel::geocell::interpolation_count()","geomodel::geocell::is_valid()","geomodel::util::merge_in_place()","geomodel::types::box::new()","geomodel::types::point::new()","geomodel::types::box#north()","geomodel::types::box#north=()","geomodel::geocell::point_distance()","geomodel::proximity_fetch()","geomodel::types::box#south()","geomodel::types::box#south=()","geomodel::geocell::subdiv_char()","geomodel::geocell::subdiv_xy()","geomodel::types::box#to_s()","geomodel::types::point#to_s()","geomodel::types::box#west()","geomodel::types::box#west=()"],"info":[["Geomodel","","Geomodel.html","",""],["Geomodel::GeoCell","","Geomodel/GeoCell.html","","<p>Defines the notion of &#39;geocells&#39; and exposes methods to operate on them.\n<p>A geocell is a hexadecimal …\n"],["Geomodel::Math","","Geomodel/Math.html","",""],["Geomodel::Types","","Geomodel/Types.html","",""],["Geomodel::Types::Box","","Geomodel/Types/Box.html","","<p>A two-dimensional rectangular region defined by NE and SW points.\n<p>Attributes:\n\n<pre>north_east: A read-only geotypes.Point ...</pre>\n"],["Geomodel::Types::Point","","Geomodel/Types/Point.html","","<p>A two-dimensional point in the [-90,90] x [-180,180] lat/lon space.\n<p>Attributes:\n\n<pre>lat: A float in the range ...</pre>\n"],["Geomodel::Util","","Geomodel/Util.html","",""],["==","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-3D-3D","(box)",""],["==","Geomodel::Types::Point","Geomodel/Types/Point.html#method-i-3D-3D","(point)",""],["adjacent","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-adjacent","(cell, dir)","<p>Calculates the geocell adjacent to the given cell in the given direction.\n<p>Args:\n\n<pre>cell: The geocell string ...</pre>\n"],["all_adjacents","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-all_adjacents","(cell)","<p>Calculates all of the given geocell&#39;s adjacent geocells.\n<p>Args:\n\n<pre>cell: The geocell string for which to ...</pre>\n"],["best_bbox_search_cells","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-best_bbox_search_cells","(bbox, cost_function)","<p>Returns an efficient set of geocells to search in a bounding box query.\n<p>This method is guaranteed to return …\n"],["children","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-children","(cell)","<p>Calculates the immediate children of the given geocell.\n<p>For example, the immediate children of &#39;a&#39; …\n"],["collinear","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-collinear","(cell1, cell2, column_test)","<p>Determines whether the given cells are collinear along a dimension.\n<p>Returns True if the given cells are …\n"],["common_prefix","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-common_prefix","(list)",""],["compute","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-compute","(point, resolution = MAX_GEOCELL_RESOLUTION)","<p>Computes the geocell containing the given point to the given resolution.\n<p>This is a simple 16-tree lookup …\n"],["compute_box","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-compute_box","(cell)","<p>Computes the rectangular boundaries (bounding box) of the given geocell.\n<p>Args:\n\n<pre>cell: The geocell string ...</pre>\n"],["contains_point","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-contains_point","(cell, point)","<p>Returns whether or not the given cell contains the given point.\n"],["distance","Geomodel::Math","Geomodel/Math.html#method-c-distance","(start_point, end_point)","<p>Calculates the great circle distance between two points (law of cosines).\n<p>Args:\n\n<pre>start_point: A geotypes.Point ...</pre>\n"],["distance_sorted_edges","Geomodel::Util","Geomodel/Util.html#method-c-distance_sorted_edges","(cells, point)","<p>Returns the edges of the rectangular region containing all of the given geocells, sorted by distance …\n"],["east","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-east","()",""],["east=","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-east-3D","(east)",""],["filter_result_set_by_bounding_box","Geomodel","Geomodel.html#method-c-filter_result_set_by_bounding_box","(bounding_box, result_set)","<p>Given a result set from your datastore (a query you filtered with #geocells_for_bounding_box) it will …\n"],["generate_geocells","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-generate_geocells","(point)",""],["geocells_for_bounding_box","Geomodel","Geomodel.html#method-c-geocells_for_bounding_box","(bounding_box, cost_function = nil)","<p>Retrieve the geocells to be used in a bounding box query Something like geocells IN (…)\n<p>Args:\n\n<pre>bbox: A ...</pre>\n"],["interpolate","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-interpolate","(cell_ne, cell_sw)","<p>Calculates the grid of cells formed between the two given cells.\n<p>Generates the set of cells in the grid …\n"],["interpolation_count","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-interpolation_count","(cell_ne, cell_sw)","<p>Computes the number of cells in the grid formed between two given cells.\n<p>Computes the number of cells …\n"],["is_valid","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-is_valid","(cell)","<p>Returns whether or not the given geocell string defines a valid geocell.\n"],["merge_in_place","Geomodel::Util","Geomodel/Util.html#method-c-merge_in_place","(target, arrays, dup_func = nil, comp_func = nil)",""],["new","Geomodel::Types::Box","Geomodel/Types/Box.html#method-c-new","(north, east, south, west)",""],["new","Geomodel::Types::Point","Geomodel/Types/Point.html#method-c-new","(latitude, longitude)",""],["north","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-north","()",""],["north=","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-north-3D","(north)",""],["point_distance","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-point_distance","(cell, point)","<p>Returns the shortest distance between a point and a geocell bounding box.\n<p>If the point is inside the cell, …\n"],["proximity_fetch","Geomodel","Geomodel.html#method-c-proximity_fetch","(center, query_runner, max_results = 10, max_distance = 0)","<p>center: A geotypes.Point or db.GeoPt indicating the center point around\n\n<pre>which to search for matching entities.</pre>\n"],["south","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-south","()",""],["south=","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-south-3D","(south)",""],["subdiv_char","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-subdiv_char","(pos)","<p>Returns the geocell character in the 4x4 alphabet grid at pos. (x, y). NOTE: This only works for grid …\n"],["subdiv_xy","Geomodel::GeoCell","Geomodel/GeoCell.html#method-c-subdiv_xy","(char)","<p>Returns the (x, y) of the geocell character in the 4x4 alphabet grid. NOTE: This only works for grid …\n"],["to_s","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-to_s","()",""],["to_s","Geomodel::Types::Point","Geomodel/Types/Point.html#method-i-to_s","()",""],["west","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-west","()",""],["west=","Geomodel::Types::Box","Geomodel/Types/Box.html#method-i-west-3D","(west)",""]]}}